﻿using System;
using System.Collections.Generic;
using System.Web;
using Telerik.Web.UI;

public class RadDatePickerEditor : GridTextColumnEditor
{
    private RadDatePicker picker;
    protected override void LoadControlsFromContainer()
    {
        picker = ContainerControl.Controls[0] as RadDatePicker;
    }

    public override bool IsInitialized
    {
        get { return (picker != null); }
    }

    protected override void AddControlsToContainer()
    {
        picker = new RadDatePicker();
        picker.ID = "editPicker";
        ContainerControl.Controls.Add(picker);
    }

    public override string Text
    {
        get { return picker.SelectedDate.ToString(); }
        set { picker.DbSelectedDate = value; }
    }

    public RadDatePicker DatePicker
    {
        get { return picker; }
    }
}