﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.CodeDom;
using System.Web.Services;
using Telerik.Web.UI;
using System.Data;

partial class _Default : System.Web.UI.Page
{
    public object[] Dates
    {
        get
        {
            if (ViewState["Dates"] == null)
            {
                ViewState["Dates"] = new object[] {
				new DateTime(2006, 1, 1),
				new DateTime(2006, 1, 2),
				new DateTime(2006, 1, 3)
			};
            }
            return ViewState["Dates"] as object[];
        }
        set { ViewState["Dates"] = value; }
    }

    protected void RadGrid1_CreateColumnEditor(object sender, GridCreateColumnEditorEventArgs e)
    {
        if ((e.Column) is GridBoundColumn)
        {
            if (e.Column.UniqueName == "Date")
            {
                e.ColumnEditor = (IGridColumnEditor)new RadDatePickerEditor();
            }
        }
    }
    protected void RadGrid1_NeedDataSource(object source, GridNeedDataSourceEventArgs e)
    {
        RadGrid1.DataSource = Dates;
    }
    protected void RadGrid1_UpdateCommand(object source, GridCommandEventArgs e)
    {
        GridBoundColumn dateColumn = e.Item.OwnerTableView.GetColumn("Date") as GridBoundColumn;
        RadDatePickerEditor editor = dateColumn.ColumnEditor as RadDatePickerEditor;
        DateTime selectedDate = DateTime.Parse(editor.Text);
        Dates[e.Item.DataSetIndex] = selectedDate;
    }
}








